%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.2
Release: 3 
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

# Following tarball generated by running fetch-rse.sh.
Source0: rse-fetched-src-R3_2.tar.gz
Source1: fetch-rse.sh
# Following property files are generated by fetch-rse.sh.
Source2: featureVersions.properties
Source3: pluginVersions.properties

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    java-devel >= 1.5.0

BuildArch: noarch

BuildRequires: eclipse-pde >= 0:3.4.1
BuildRequires: eclipse-emf >= 0:2.4.1
BuildRequires: jakarta-commons-net >= 0:1.4.1-5.4
Requires: eclipse-platform >= 0:3.4.0
Requires: eclipse-emf >= 0:2.4.1
Requires: jakarta-commons-net >= 0:2.0

Group: Development/Java

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%prep
%setup -q -c

%build

rm -rf orbitdeps
mkdir orbitdeps
pushd orbitdeps
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.0.jar
popd

mkdir -p build

pushd build
cp %{SOURCE2} .
cp %{SOURCE3} .
popd

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.tm.terminal -d "emf" \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.rse.sdk \
-a "-DjavacSource=1.5 -DjavacTarget=1.5 -DgenerateFeatureVersionSuffix=true" -j -DJ2SE_1.5=%{_jvmdir}/java/jre/lib/rt.jar -o `pwd`/orbitdeps

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/rse

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.tm.terminal.zip

unzip -q -o -d %{buildroot}%{install_loc}/rse \
 build/rpmBuild/org.eclipse.rse.sdk.zip

pushd %{buildroot}%{install_loc}/rse/eclipse/plugins
rm org.apache.commons.net_2.2.0*.jar
ln -s %{_javadir}/commons-net.jar org.apache.commons.net_2.2.0.jar
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}/rse
%doc org.eclipse.rse.sdk-feature/epl-v10.html
%doc org.eclipse.rse.sdk-feature/license.html

